Subject: Re: [PATCH] kexec ppc64: fix misaligned cmdline

From: Michael Neuling <[email-masked]>
Date: Tue, 05 Jun 2007 10:58:07 +1000

> On Tue, Jun 05, 2007 at 09:56:37AM +1000, Miichael Neuling wrote:
> > > > If the cmdline changes between boots, we can get misalignment of the
> > > > bootargs entry, which in turn corrupts our device tree blob and hence
> > > > kills our kexec boot.  
> > > > 
> > > > Specifically, if the cmdline length was >= 8 before and the new cmdline
> > > > length is < 8, we can get corruption.
> > > 
> > > Hrm.  Have you considered using dtc for this conversion, rather than
> > > this somewhat dubious looking fs2dt?
> > 
> > Numerous times.  
> > 
> > fs2dt needs to be converted to use the device tree library, but that
> > will take a lot more work than a 5 minute patch.
> 
> 
> Well, sure.. but do you need fs2dt at all.  dtc has an "fs" input
> mode..

As discussed offline, you can do this with the --devicetreeblob kexec
option.  The issue is the special cases like having to modify the kernel
cmdline options or initrd locations.

Mikey